Bug 198058 - gdm forgets about default and last sessions
Summary: gdm forgets about default and last sessions
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: Desktop
Depends On:
Blocks: FC6Desktop
TreeView+ depends on / blocked
 
Reported: 2006-07-08 21:50 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 19:15:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2006-07-08 21:50:50 UTC
Description of problem:

After an update to gdm-2.15.5-2 after I typed login data
I am getting now a curious alert:

  Do you with to make Default System
  Session the default for further sessions?

  Your preferred session type default desktop
  is not installed on this computer

Among offered options "Cancel" does what it is promissing.
Other two, i.e. "Just Log In" and "Make Default" allow to login
but none seems to have any lasting effects.

What is more - even after "switching" to a "GNOME" session,
and making _that_ a future default, on the next login I am
greeted with the same alert.

It does not matter if I am using /usr/libexec/gdmlogin or
a truly boring :-) /usr/libexec/gdmgreeter.
 
Version-Release number of selected component (if applicable):
gdm-2.15.5-2

Comment 1 Jim Cornette 2006-07-11 21:13:45 UTC
Facing the same symptom. The same version is installed.

Comment 2 Andy Burns 2006-07-11 21:57:54 UTC
<AOL>me to</AOL>

I also tried forcing a change of DE with switchdesk, but still get prompted on
every logon.

Comment 3 Anne 2006-07-15 06:03:10 UTC
I use kde, and have the same problem.  I elect to make kde the default, but
gnome starts anyway.  I have to log out and change session.

Comment 4 Jay Cliburn 2006-07-15 23:24:30 UTC
I encounter the same behavior using gnome under gdm-2.15.6-3.

Comment 5 Lars G 2006-07-15 23:25:47 UTC
same here

Comment 6 Ray Strode [halfline] 2006-07-25 19:15:21 UTC
should be fixed now. reopen if no.


Note You need to log in before you can comment on or make changes to this bug.